Subject: [Shop-talk] Overalls etc.

From: Mark Miller via Shop-talk <[email-masked]>
Date: Sun, 24 May 2020 16:46:02 -0700

I haven't tried their overalls but am a fan of Aramark's pants (and also 
super cheap but decent T shirts).  They always have some kind of deal 
going on (at the moment it is $25 off $75) and they have overalls on 
sale for $27.
https://shop.aramarkuniform.com/s-catalog-pants-jeans-denim-overalls?style=326&assort=catalog

You can also get flame resistant ones for appreciably more money if you 
so need.

Regards,

Mark Miller   707-490-5834
[email-masked]

> Subject: [Shop-talk] Overalls and Carhartt Discount
> Message-ID:	<[email-masked]>
> 	
> I just wanted to follow up on my pant's question.
>
> First, I went looking for Carhartt Overalls as that seemed to be the
> group's consensus.
>
> While Tractor Supply carries Carhartt, they don't have their overalls.
> Since I was there, I picked up a pair of their house brand overalls.
>
> Been given them the torture test and they are doing great.  I am in love
> with overalls for work pants.
>
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]